<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/fic_mque.inc.php");
include_once("../inc/fic_ret.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
Archivelog(@$_SESSION["code_log"]);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Impression Liste traitements de retours</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript pour alertes -->
<script language="JavaScript" src="../jscript/alertes.js"></script>


</head>

<body onLoad="warnimplst();">
<?php
entimplst("LISTE DES TRAITEMENTS DE RETOURS");

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

$rech = cree_strrechlstretr();
if (@$_SESSION["niv_log"] == 4)
{
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBRETP.".retp_codeage='".@$_SESSION["code_age"]."'";
	else
		$rech .= " AND ".TBRETP.".retp_codeage='".@$_SESSION["code_age"]."'";
}
$rech .= crestr_triord($retr_titre_col,"retr_dateret",FALSE,$limit);
$rs = mysql_query($rech) or die(mysql_error());
$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête
	
// *** Affichage de la table
 echo "<table class=\"MItable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     

// Création entête
titimplst($retr_titre_col);
	 
while ($row = mysql_fetch_assoc($rs)) 
{         
	echo "<tr>";

	echo "<td align=\"center\">";
	echo formatedate($row["retr_dateret"]);
	echo "</td>\n";
	echo "<td>";
	echo $row["retr_coderetp"];
	echo "<span class=\"annot_petit_it\">";
	echo "<br> ->".$row["retp_des"]." (".$row["retp_ns"].")";
	echo "</span>";
	echo "</td>\n";
	echo "<td align=\"center\">";
	echo $ope_types[$row["retr_typeope"]];
	if ($row["retr_clos"]==1)
		echo " <img src=\"../img/ok.png\" title =\"Clos\" border=\"0\" align=\"absmiddle\">";
	echo "</td>\n";

	echo "</tr>\n";
	
}  
echo "</table>\n";
// *** Fin affichage de la table

mysql_free_result($rs);
mysql_close($conn);  
?>
</body>
</html>